<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Sign In</title>
    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
  </head>

  <body>
    <h1>Sign In</h1>

    <%= form_with url: sign_in_path do |f| %>
    <%= f.label :Username %>
    <%= f.text_field :username %>

    <%= f.label :Password %>
    <%= f.password_field :password %>

    <div>
      <%= f.label :remember_me %>
      <%= f.check_box :remember_me %>
    </div>

    <%= f.submit "Sign in" %>
    <% end %>

    <% flash.each do |type, msg| %>
      <p>
        <strong><%= type %></strong>: <%= msg %>
      </p>
    <% end %>
  </body>
</html>
